## ros-kinetic-hector-pose-estimation 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hector_pose_estimation)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS hector_pose_estimation_core nodelet sensor_msgs geometry_msgs nav_msgs tf message_filters)

# Find hector_timing and use it, if available
find_package(hector_timing QUIET)
if(hector_timing_FOUND)
  list(APPEND catkin_INCLUDE_DIRS ${hector_timing_INCLUDE_DIRS})
  list(APPEND catkin_LIBRARIES ${hector_timing_LIBRARIES})
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES hector_pose_estimation_nodelet hector_pose_estimation_node
    CATKIN_DEPENDS hector_pose_estimation_core nodelet sensor_msgs geometry_msgs nav_msgs tf message_filters
    DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

add_library(hector_pose_estimation_node
  src/pose_estimation_node.cpp
)
target_link_libraries(hector_pose_estimation_node ${catkin_LIBRARIES})

add_library(hector_pose_estimation_nodelet
  src/pose_estimation_nodelet.cpp
)
target_link_libraries(hector_pose_estimation_nodelet hector_pose_estimation_node ${catkin_LIBRARIES})

add_executable(pose_estimation
  src/main.cpp
)
target_link_libraries(pose_estimation hector_pose_estimation_node ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS hector_pose_estimation_nodelet hector_pose_estimation_node pose_estimation
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(DIRECTORY
  launch
  rviz_cfg
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-hector-pose-estimation (0.3.0-0xenial) xenial; urgency=high

  * hector_pose_estimation: removed trailing / in directory install rule
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 27 Jun 2016 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.2.2-0xenial) xenial; urgency=high

  * hector_pose_estimation: cleaned up example launch file and add install rule for launch/ and rviz_cfg/
  * update rviz file
  * add .rviz config file for hector pose estimation
  * add launch file for hector_pose_estimation
  * Contributors: Johannes Meyer, libing64

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.2.1-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 08 Nov 2015 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.2.0-0xenial) xenial; urgency=high

  * added QUIET flag when finding optional hector_timing
  * immediately reset the gps measurement when fix is lost
  * disabled publish_world_nav_transform parameter by default and added deprecation warnings for publish_world_map_transform and map_frame
  * fixed sensor_pose correction if reference heading != 0
  * added new publisher /geopose with type geographic_msgs/GeoPose
  * instrumented code for timing measurements using hector_diagnostics
    See https://github.com/tu-darmstadt-ros-pkg/hector_diagnostics/tree/master/hector_timing.
  * added raw, unfiltered sensor pose publisher
    This is for debugging purposes only. The raw sensor pose combines the information from
    IMU acceleration/gravity, magnetic, GPS and height/barometric pressure sensors.
  * added world to nav transform broadcaster and global/reference (geographic_msgs/GeoPose) publisher
  * Added missing orientation-orientation derivative in GenericQuaternionSystemModel
  * Readded dimension paramters to SystemModel templates
  * Readded class BaseState and State::base() accessors (currently unused)
  * Added typed getters PoseEstimation::getSystem_<T>(name) and PoseEstimation::getMeasurement_<T>(name)
  * IMU-based prediction is now in the GenericQuaternionSystemModel class again.
    The accelerometer and gyro models are added automatically if GenericQuaternionSystemModel::init() found an IMU input.
    GenericQuaternionSystemModel calls methods on the IMU model classes to get the errors, derivatives and noise.
    The IMU models themselves do not add
  * Added class SkewSymmetricMatrix
  * Avoid calling SymmetricMatrix::symmetric() as, surprisingly, this method seems to be quite expensive. Symmetry is only
    enforced if assigned from a matrix which is not a SymmetricMatrix.
  * Added Eigen optimizations (avoid copies and added alignment macros)
  * Moved system and measurement status management from class Filter to PoseEstimation
  * first functional version with multiplicative EKF
  * added support for dynamic states (full, orientation only, position/velocity only, ...)
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 22 Feb 2015 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.5-0xenial) xenial; urgency=high

  * hector_pose_estimation: make private variables protected to allow access from specialized pose_estimation classes
  * hector_pose_estimation: fixed wrong indicies bug in GPS pose publisher
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 02 Oct 2014 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.4-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 28 Aug 2014 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.3-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Jul 2014 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.2-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 02 Jun 2014 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.1-0xenial) xenial; urgency=high

  * Fixed boost 1.53 issues
    changed boost::shared_dynamic_cast to boost::dynamic_pointer_cast and
    boost::shared_static_cast to boost::static_pointer_cast
  * readded tf_prefix support (was removed from tf::TransformBroadcaster in hydro)
  * hector_pose_estimation/rtt_hector_pose_estimation: removed optional usage of package hector_uav_msgs and created a separate package hector_quadrotor_pose_estimation instead
  * fixed unresolved symbols when loading the nodelet, renamed plugin description xml file
  * Contributors: Christopher Hrabia, Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-kinetic-hector-pose-estimation (0.1.0-0xenial) xenial; urgency=high

  * catkinized stack hector_localization

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 03 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-hector-pose-estimation
Section: misc
Priority: extra
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-hector-pose-estimation-core, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/hector_pose_estimation
Standards-Version: 3.9.2

Package: ros-kinetic-hector-pose-estimation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-hector-pose-estimation-core, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-sensor-msgs, ros-kinetic-tf
Description: hector_pose_estimation provides the hector_pose_estimation node and the hector_pose_estimation nodelet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-hector-pose-estimation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
